import assert from 'assert';
import Mocha from 'mocha';
export function testSuiteWrite(repositoryTestData) {
    const testSuite = new Mocha.Suite('write');
    for (const key in repositoryTestData.entityData) {
        testSuite.addTest(new Mocha.Test(`should write valid data to a model correctly (${key})`, async function () {
            const model = (await repositoryTestData.repository.create());
            assert(repositoryTestData.validateCreate(model));
            await repositoryTestData.repository.write(model, repositoryTestData.entityData[key].request);
            assert(repositoryTestData.validateWrite(model, repositoryTestData.entityData[key].request));
        }));
    }
    return testSuite;
}
//# sourceMappingURL=write.spec.js.map