export type AuthorizationActionTuple = {
    subject: string;
    action: string;
    object: string;
};
export type AuthorizationRelationTuple = {
    subject: string;
    relation: string;
    object: string;
};
export type AuthorizationConfig = {
    AUTHORIZATION_SERVER: string;
    AUTHORIZATION_PSK: string;
};
export type AuthorizationResponse = {
    result: boolean;
    reason?: string;
};
export declare function authorization_functions(config: AuthorizationConfig): {
    check_authorization: {
        (tuples: AuthorizationActionTuple[]): Promise<AuthorizationResponse[]>;
        (subject: string, action: string, object: string): Promise<AuthorizationResponse>;
    };
    update_relations: (add: AuthorizationRelationTuple[], remove: AuthorizationRelationTuple[]) => Promise<void>;
    relate: {
        (tuples: AuthorizationRelationTuple[]): Promise<void>;
        (subject: string, relation: string, object: string): Promise<void>;
    };
    unrelate: {
        (tuples: AuthorizationRelationTuple[]): Promise<void>;
        (subject: string, relation: string, object: string): Promise<void>;
    };
    query: (subject: string | undefined, relation: string | undefined, object: string) => Promise<AuthorizationRelationTuple[]>;
};
//# sourceMappingURL=authorization.d.ts.map