import express from 'express';
import { JWTPayload } from 'jose';
export * from './database/abstractDataSource.js';
export * from './database/abstractRepository.js';
export * from './errors.js';
export * from './handlers/index.js';
export { logger } from './logging/index.js';
export * from './types.js';
export * as authorization from './authorization/index.js';
export * as config from './config.js';
export * as error from './error_middleware.js';
export * as logging from './logging/index.js';
export * as utils from './utils.js';
/**
 * @deprecated It should not be necessary to verify the JWT. Use the authorization server instead.
 */
export declare function parseJwtFromRequestAuthenticationHeader(req: express.Request): string;
/**
 * @deprecated It should not be necessary to verify the JWT. Use the authorization server instead.
 */
export declare function JWTVerify<T, R extends {
    scopes: string[];
}>(options: {
    JWKS_URL: string;
    SECURITY_ISSUER: string;
    SECURITY_AUDIENCE: string;
}, validatePayload: (output: JWTPayload) => output is R, parseJwt: (input: T) => string): (input: T, scopes: string[]) => Promise<R>;
//# sourceMappingURL=index.d.ts.map